Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/customobjects/postapi-v-1-custom-objects

# Create a custom object instance

POST `https://{tenant}.atomicwork.com/api/v1/custom-objects`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Body

#### object\_type\_id (body, integer, required)

#### form\_fields (body, object)

Custom field values keyed by field reference\_key. Must include
display\_name, the reserved system field for every custom object type.
form\_fields.display\_name is trimmed, must be non-empty/non-whitespace,
and must be at most 255 characters.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/custom-objects' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"object_type_id": 0, "form_fields": {}}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/custom-objects', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"object_type_id": 0, "form_fields": {}}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/custom-objects',
    headers={'X-Api-Key': '<api-key>'},
    json={"object_type_id": 0, "form_fields": {}}
)
data = res.json()
```
